GZSERVER(1)

NAME
gzserver - Run the Gazebo server.

SYNOPSIS
gzserver options world_file

DESCRIPTION
Gazebo server runs simulation and handles commandline options, starts a Master, runs World update and sensor generation loops.

OPTIONS

-v, --version
    Output version information.

--verbose
    Increase the messages written to the terminal.

-h, --help
    Produce this help message.

-u, --pause
    Start the server in a paused state.

-e, --physics arg
    Specify a physics engine (ode|bullet|dart|simbody).

-p, --play arg
    Play a log file.

-r, --record
    Record state data.

--record_encoding arg (=zlib)
    Compression encoding format for log data (zlib|bz2|txt).

--record_path arg
    Absolute path in which to store state data

--record_period arg (=-1)
    Recording period (seconds).

--record_filter arg
    Recording filter (supports wildcard and regular expression).

--record_resources
    Recording with model meshes and materials.

--seed arg
    Start with a given random number seed.

--iters arg
    Number of iterations to simulate.

--minimal_comms
    Reduce the TCP/IP traffic output by gzserver

-s, --server-plugin arg
    Load a plugin.

-o, --profile arg
    Physics preset profile name from the options in the world file.

AUTHOR
Open Source Robotics Foundation

COPYRIGHT
Copyright (C) 2012 Open Source Robotics Foundation

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.